You can use a Microsoft Lync 2013 client on remote desktops to participate in Unified Communications (UC) VoIP (voice over IP) and video chat calls with Lync certified USB audio and video devices. A dedicated IP phone is no longer required.

This architecture requires the installation of a Microsoft Lync 2013 client on the remote desktop and a Microsoft Lync VDI plug-in on the client endpoint. Customers can use the Microsoft Lync 2013 client for presence, instant messaging, Web conferencing, and Microsoft Office functionality.

Whenever a Lync VoIP or video chat call occurs, the Lync VDI plug-in offloads all the media processing from the datacenter server to the client endpoint, and encodes all media into Lync-optimized audio and video codecs. This optimized architecture is highly scalable, results in lower network bandwidth used, and provides point-to-point media delivery with support for high-quality real-time VoIP and video. For more information, see the white paper about Horizon 6 and Microsoft Lync 2013, at http://www.vmware.com/files/pdf/techpaper/vmware-horizon-view-microsoft-lync-install-configure.pdf.

Note:

Recording audio is not yet supported. This integration is supported only with the PCoIP display protocol.

This feature has the following requirements.

Operating system

  • Client operating system: Windows 7 SP1, Windows 8.x, or Windows 10.

  • Virtual machine (agent) operating system depends on the agent version.

    Version

    Guest Operating System

    View Agent 6.2 or later, or Horizon Agent 7.0 or later

    32- or 64-bit Windows 7 SP1, Windows 8.x, Windows 10, or 64-bit Windows Server 2008 R2 SP1

    For Microsoft RDS hosts: Windows Server 2008 R2, Windows Server 2012, or Windows Server 2012 R2

    View Agent 6.0 or 6.1

    32- or 64-bit Windows 7 SP1, Windows 8.x, or 64-bit Windows Server 2008 R2 SP1

    View Agent 5.3

    32- or 64-bit Windows 7 SP1

Client system software

  • 32-bit version of Microsoft Lync VDI Plug-in

    Important:

    The 64-bit version of Microsoft Office must not be installed on the client machine. The 32-bit Microsoft Lync VDI plugin that is required is not compatible with 64-bit Microsoft Office 2013.

  • Security certificate generated during Microsoft Lync Server 2013 deployment must be imported into the Trusted Root Certificate Authorities directory.

Remote desktop (agent) software

  • View Agent 5.3 or later, or Horizon Agent 7.0 or later

  • Microsoft Lync 2013 Client

    With the View 5.3 or later agent, the Lync 2013 client bit-level is not required to match the bit-level of the virtual machine operating system.

  • Security certificate generated during Microsoft Lync Server 2013 deployment must be imported into the Trusted Root Certificate Authorities directory

Required servers

  • A server running View Connection Server 5.3 or later

  • A server running Microsoft Lync Server 2013

  • A vSphere infrastructure to host the virtual machines

    The vCenter Server and ESXi hosts must be running vSphere 5.0 or later.

Hardware

  • Hardware that supports each of the required software components previously listed

  • Client endpoint: 1.5GHz or faster CPU and a minimum of 2GB of RAM for the Microsoft Lync 2013 Plug-in

Note:

For troubleshooting information, see VMware KB 2063769 and VMware KB 2053732.